# Interface ITargetLocationEditor

@Deprecated public interface ITargetLocationEditor
Deprecated.
use `ITargetLocationHandler` instead
Contributed target locations that want to support editing in the target wizard and editor must adapt their `ITargetLocation` to this interface.

Since:
  3.7
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canEdit(ITargetDefinition target, ITargetLocation targetLocation)`
Deprecated.
`IWizard`
`getEditWizard(ITargetDefinition target, ITargetLocation targetLocation)`
Deprecated.

## Method Details

### canEdit

@Deprecated boolean canEdit(ITargetDefinition target, ITargetLocation targetLocation)
Deprecated.
Returns whether this target location can be edited by this editor. This method will be called when a selection is made to determine if the edit button should be enabled.

Parameters:
  `target` - the target definition being edited
  `targetLocation` - the target location to edit
Returns:
  whether this editor can edit the target location

### getEditWizard

@Deprecated IWizard getEditWizard(ITargetDefinition target, ITargetLocation targetLocation)
Deprecated.
Returns a wizard that will be opened to edit the given target location. The wizard is responsible for modifying the target location and/or target. The target definition will be resolved if the wizard completes successfully.

Parameters:
  `target` - the target definition being edited
  `targetLocation` - the target location to edit
Returns:
  wizard to open for editing the target location